import requests
from api_auth import APICredentials, APIParams
 
class VMPStatusUpdate:
    def __init__(self):
        self.host = "https://services.uplynk.com"
 
    def run(self):
        """
        Updates the set of VMP rejection statuses.
        """
        self._update_vmp_status_configuration()
 
    def _update_vmp_status_configuration(self):

        vmp_data = dict()
        url = "{}{}".format(self.host, "/api/v3/drm/vmp-reject-statuses/update")
 
        new_vmp_data = {
            'vmp_reject_statuses': ['PLATFORM_UNVERIFIED']
        }
 
        vmp_data['item'] = new_vmp_data
 
        response = requests.post(
            url, data=APIParams(APICredentials()).get_params(vmp_data)
            )
 
        print(response.json())

VMPStatusUpdate().run()